For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
              • GETGet Storefront SEO Settings
              • PUTUpdate Storefront SEO Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementSettingsStorefront Seo

Update Storefront SEO Settings

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/settings/storefront/seo
PUT
/stores/:store_hash/v3/settings/storefront/seo
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/settings/storefront/seo \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "meta_description": "Discover the best deals on electronics, fashion, and more at Your BigCommerce Store.",
> "meta_keywords": "ecommerce, online shopping, electronics, fashion, deals",
> "page_title": "Your BigCommerce Store - Shop Top Products Online",
> "www_redirect": "no-www"
>}'
1{
2 "data": {
3 "meta_description": "Discover the best deals on electronics, fashion, and more at Your BigCommerce Store.",
4 "meta_keywords": "ecommerce, online shopping, electronics, fashion, deals",
5 "page_title": "Your BigCommerce Store - Shop Top Products Online",
6 "www_redirect": "www"
7 },
8 "meta": {}
9}
Updates SEO settings. - You can use `channel_id` as a query parameter to update channel-specific settings. If omitted, you will only interact with the global settings. - You can use `channel_id` in the request body of a headless channel of this endpoint to control the `www_redirect` settings for the headless channel's unique checkout URL. - `null` should be supplied to delete overrides per given channel and to inherit values from a global level.
Was this page helpful?
Previous

Get Storefront SEO Settings

Next

Get Storefront Status

Built with

Updates SEO settings.

  • You can use channel_id as a query parameter to update channel-specific settings. If omitted, you will only interact with the global settings.

  • You can use channel_id in the request body of a headless channel of this endpoint to control the www_redirect settings for the headless channel’s unique checkout URL.

  • null should be supplied to delete overrides per given channel and to inherit values from a global level.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | NOTE: Analytics endpoints require the Content (`store_v2_content` and `store_v2_content_read_only`) OAuth scope. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

Request

This endpoint expects an object.
meta_descriptionstringOptional
meta_keywordsstringOptional
page_titlestringOptional
www_redirectenumOptional
Allowed values:

Response

OK
dataobject
metaobject
Response metadata.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.